#version 150
out vec4 outColor;
in vec2 Texcoord;
uniform sampler2D image;
uniform vec3 textColour;

void main()
{
	vec3 corrected;
	corrected = pow(textColour, vec3(1 / 2.2));
	outColor = texture(image, Texcoord) * vec4(corrected, 1.0);
};

